%global vers 1.0
%global snapdate 20210204
%global git_commit 80864e0d039e60ebba0f57d8b6efe00a88929bb6
%global short_commit %(c=%{git_commit}; echo ${c:0:7})

Name:           openxcom
Version:        %{vers}
Release:        7.%{snapdate}git%{short_commit}%{?dist}
Summary:        An open source reimplementation of the original X-Com game
License:        GPL-3.0
Group:          Amusements/Games/Strategy/Turn Based
Url:            http://openxcom.org/
Source0:        https://github.com/OpenXcom/OpenXcom/archive/%{git_commit}/%{name}-%{short_commit}.tar.gz
Source1:        %{name}.svg
Source2:        %{name}-symbolic.svg
Source3:        %{name}.appdata.xml

BuildRequires:  SDL-devel
BuildRequires:  SDL_gfx-devel >= 2.0.22
BuildRequires:  SDL_image-devel
BuildRequires:  SDL_mixer-devel
BuildRequires:  docbook2X
BuildRequires:  dos2unix
BuildRequires:  doxygen
BuildRequires:  git
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  xmlto
BuildRequires:  yaml-cpp-devel >= 0.5

%description
OpenXcom is an open-source clone of the original UFO: Enemy Unknown
(X-Com: UFO Defense in USA), licensed under the GPL and written in C++ / SDL.

The goal of the project is to bring back the tried and true feel of the original
with none of the issues. All the same graphics, sound and gameplay with a brand
new codebase written from scratch.

User is required to have original gamedata (possible to obtain from e.g. Steam)
installed to ~/.local/share/openxcom/data/

%prep
%setup -q -n OpenXcom-%{git_commit}
chmod -x LICENSE.txt
cp -p %{SOURCE1} %{SOURCE2} %{SOURCE3} .

sed -i \
	-e 's:HTML_TIMESTAMP         = YES:HTML_TIMESTAMP         = NO:g' \
	docs/Doxyfile.in
dos2unix *.txt

sed -i docs/CMakeLists.txt -e 's|/man/man6|/share/man/man6|'

%build
mkdir %{__cmake_builddir}
%cmake  -B %{__cmake_builddir}
%cmake_build

%install
%cmake_install
install -m 0755 -d %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
install -m 0644 -p %{name}.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
install -m 0755 -d %{buildroot}%{_datadir}/icons/hicolor/symbolic/apps
install -m 0644 -p %{name}-symbolic*.svg %{buildroot}%{_datadir}/icons/hicolor/symbolic/apps
install -m 0755 -d %{buildroot}%{_datadir}/appdata
install -m 0644 -p %{name}.appdata.xml %{buildroot}%{_datadir}/appdata
install -m 0755 -d %{buildroot}%{_docdir}/openxcom

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.md CHANGELOG.txt
%{_datadir}/applications/openxcom.desktop
%{_mandir}/man6/openxcom.6.gz

%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

%{_datadir}/icons/hicolor/symbolic/apps/%{name}-symbolic.svg
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/%{name}/
%{_bindir}/%{name}
%dir %{_docdir}/%{name}

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ]; then
	/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%changelog
* Fri Feb 04 2022 josef radinger <cheese@nosuchhost.net> - 1.0-7.20210203git80864e0
- bump version
- switch to cmake

* Fri Feb 04 2022 josef radinger <cheese@nosuchhost.net> - 1.0-6.20190503gitb86708f
- README.md instead of README.txt

* Sun May 05 2019 josef radinger <cheese@nosuchhost.net> - 1.0-5.20190503gitb86708f
- bump version
- correct version + release-number
- correct source-url
- correct setup-path
- remove old patches
- add patch to add -ldl to Makefile

* Fri Sep 29 2017 josef radinger <cheese@nosuchhost.net> - 1.0gitb396c74-4
- bump version
- rebuild
- spec-file cleanup

* Sun Oct 23 2016 Evgeny Kolesnikov <evgenyz@gmail.com> - 1.0.0-3
- Fixes for GCC 6 (F24, F25).

* Sun Oct 04 2015 Evgeny Kolesnikov <evgenyz@gmail.com> - 1.0.0-2
- Small fix to the SVG icon.

* Fri Sep 04 2015 Evgeny Kolesnikov <evgenyz@gmail.com> - 1.0.0-1
- Initial package of the first stable version (1.0).
